Skip to main content
PUT
/
6
/
{hashid}
/
stats
/
init
Init session
curl --request PUT \
  --url https://{search_zone}-search.doofinder.com/6/{hashid}/stats/init \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "session_id": "<string>",
  "user_id": "<string>"
}
'
{
  "status": "registered"
}

Authorizations

Authorization
string
header
required

Doofinder API key. Pass it as: Authorization: Token <api_key>

Path Parameters

hashid
string
required

Unique id of a search engine.

Body

application/json
session_id
string
required

Identifier of search session

Maximum string length: 32
user_id
string

Identifier of user

Maximum string length: 36

Response

OK

Response returned over register stat operation.

status
string

Result of the stats request. i.e. 'registered'